%define upstream_name    Test-Whitespaces
%define upstream_version 1.2.1

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Test source code for errors in whitespaces
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Cwd)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Find)
BuildRequires: perl(FindBin)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(List::Util)
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(Term::ANSIColor)
BuildRequires: perl(Test::More)
BuildRequires: perl(open)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module is intend to solve one simple task: to make sure that your source
code don't have problems with whitespaces.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/test_whitespaces
/usr/bin/whiter
%{_mandir}/man1/test_whitespaces.1*
%{_mandir}/man1/whiter.1*

%changelog
* Sun Mar 20 2022 umeabot <umeabot> 1.2.1-10.mga9
+ Revision: 1806287
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.2.1-9.mga8
+ Revision: 1497578
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.2.1-8.mga7
+ Revision: 1272016
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.2.1-7.mga6
+ Revision: 1034754
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.2.1-6.mga6
+ Revision: 949064
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 1.2.1-5.mga5
+ Revision: 788888
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.2.1-4.mga5
+ Revision: 746694
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.1-3.mga5
+ Revision: 686578
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.2.1-2.mga4
+ Revision: 531948
- Mageia 4 Mass Rebuild

* Mon Aug 12 2013 sander85 <sander85> 1.2.1-1.mga4
+ Revision: 465937
- update to 1.2.1

* Mon Aug 12 2013 sander85 <sander85> 1.2.0-1.mga4
+ Revision: 465670
- update to 1.2.0

* Sun Jul 28 2013 sander85 <sander85> 1.1.0-1.mga4
+ Revision: 459759
- update to 1.1.0

* Mon Jul 15 2013 sander85 <sander85> 1.0.0-1.mga4
+ Revision: 454699
- update to 1.0.0

* Wed Jun 19 2013 guillomovitch <guillomovitch> 0.50.0-1.mga4
+ Revision: 445106
- new version

* Mon Feb 18 2013 guillomovitch <guillomovitch> 0.30.0-1.mga3
+ Revision: 399207
- imported package perl-Test-Whitespaces


* Mon Feb 18 2013 cpan2dist 0.03-1mga
- initial mageia release, generated with cpan2dist
